unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables, quickrpt, qrprntr, QRExport, ExtCtrls, Spin;

type
  TfrmSkipMain = class(TForm)
    btnPreview: TButton;
    QRTextFilter1: TQRTextFilter;
    QRCSVFilter1: TQRCSVFilter;
    QRHTMLFilter1: TQRHTMLFilter;
    QRRTFFilter1: TQRRTFFilter;
    QRExcelFilter1: TQRExcelFilter;
    QRWMFFilter1: TQRWMFFilter;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Description: TMemo;
    seSkip: TSpinEdit;
    Label4: TLabel;
    Button1: TButton;
    procedure btnPreviewClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSkipMain: TfrmSkipMain;

implementation

uses skiplabels;

{$R *.DFM}

procedure TfrmSkipMain.btnPreviewClick(Sender: TObject);
begin
  with TfrmSkipLabels.Create(Application) do begin
    SkipLabels := seSkip.Value;
    QuickRep1.Preview;
    free;
  end;
end;

procedure TfrmSkipMain.Button1Click(Sender: TObject);
var
  i: integer;
  NewBand: TQRBand;
begin
  with TfrmSkipLabels.Create(Application) do begin
    if seSkip.Value > 0 then begin
      // Enable the group band to add space before the first detail band
      SkipBand.Enabled := true;
      // Make sure it's the same height as the detail band
      SkipBand.Size.Height := QuickRep2.Bands.DetailBand.Size.height;

      // Now add child bands to increase the blank space
      i := seSkip.Value - 1;
      NewBand := TQRBand(SkipBand);
      while i > 0 do begin
        NewBand.HasChild := True;
        NewBand := TQRBand(NewBand.ChildBand);
        NewBand.Size.Height := SkipBand.Size.height;
        dec(i);
      end
    end;
    QuickRep2.Preview;
    free;
  end;
end;

end.
